> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/objects/self-service-center-template.md).

# SelfServiceCenterTemplate

### Fields

#### body ([String](/graphql-api/api-reference/objects/string.md)!)

The Liquid template body content.

#### createdAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

When the template was created.

#### customized ([Boolean](/graphql-api/api-reference/objects/boolean.md)!)

Whether the template has been customized from the default template body.

#### id ([ID](/graphql-api/api-reference/objects/id.md))

The database ID of the template.

#### latestVersion ([SelfServiceCenterTemplateVersion](/graphql-api/api-reference/objects/self-service-center-template-version.md))

The latest saved version for this template.

#### publishedAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

When the current version was published.

#### publishedVersion ([SelfServiceCenterTemplateVersion](/graphql-api/api-reference/objects/self-service-center-template-version.md))

The saved version currently published for customer-facing rendering.

#### templateFileName ([String](/graphql-api/api-reference/objects/string.md)!)

The file name identifier of the template (e.g. dashboard.liquid).

#### updatedAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

When the template was last updated.

#### versions (\[[SelfServiceCenterTemplateVersion](/graphql-api/api-reference/objects/self-service-center-template-version.md)!]!)

Saved versions for this template, newest first.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/self-service-center-template.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
